Operations related to transactions
Get the latest network transactions across all addresses.
query Parameters
networklimitMaximum number of transactions to return (default: 10, max: 250).
offsetNumber of transactions to skip.
sortorderfrom_timestampFilter transactions created after this ISO 8601 timestamp.
to_timestampFilter transactions created before this ISO 8601 timestamp.
Responses
Response for status 200
idSpark transaction ID
typestatusvalueUsdUSD value
Get a transaction by its ID. Returns a sats transaction or token transaction depending on the type.
path Parameters
txidThe Spark transaction ID.
query Parameters
networkResponses
Response for status 200
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: id, type, status +2 more | |
| type = object · requires: id, type, status +2 more |
idSpark transaction ID
typeTransaction type
Transaction status
amountSatsAmount in sats
valueUsdUSD value at time of transaction
Get paginated transactions for an address using offset-based pagination. For better performance on addresses with many transactions, use the v2 cursor-based endpoint.
path Parameters
addressThe Spark address or public key hex
query Parameters
networklimitNumber of transactions per page (default: 25, max: 100)
offsetNumber of transactions to skip.
assetsortorderfrom_timestampFilter transactions created after this ISO 8601 timestamp.
to_timestampFilter transactions created before this ISO 8601 timestamp.
Responses
Response for status 200
Get paginated transactions for a specific token.
path Parameters
identifierToken identifier (hex) or token address (bech32).
query Parameters
networklimitMaximum number of transactions to return (default: 25, max: 100).
offsetNumber of results to skip.
Responses
Response for status 200
Get the latest network transactions. Includes expiredTime field for expired transactions.
query Parameters
networklimitMaximum number of transactions to return (default: 10, max: 350).
offsetNumber of transactions to skip.
sortorderfrom_timestampFilter transactions created after this ISO 8601 timestamp.
to_timestampFilter transactions created before this ISO 8601 timestamp.
Responses
Response for status 200
idSpark transaction ID
typestatusvalueUsdUSD value
Get a transaction by its ID. Returns a sats transaction or token transaction depending on the type.
path Parameters
txidThe Spark transaction ID.
query Parameters
networkResponses
Response for status 200
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object · requires: id, type, status +2 more | |
| type = object · requires: id, type, status +2 more |
idSpark transaction ID
typeTransaction type
Transaction status
amountSatsAmount in sats
valueUsdUSD value at time of transaction